Group: Networking/WWW
# BEGIN SourceDeps(oneline):
BuildRequires: texinfo
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary: Displays e-mail messages matching a pattern
Name: mboxgrep
Version: 0.7.9
Release: alt1_27
License: GPLv2+
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0: mboxgrep-debug.diff
Patch1: mboxgrep-0.7.9-format-security.patch
URL: http://www.mboxgrep.org
BuildRequires:  gcc
BuildRequires: zlib-devel, bzlib-devel libpcre-devel libpcrecpp-devel
Source44: import.info

%description
mboxgrep is a small utility that scans a mailbox for messages matching a
basic, extended, or Perl-compatible regular expression. Selected
messages can be either displayed on standard output, counted, piped to a
command or written to another mailbox.
It supports mbox (both plain and compressed), MH, nnmh, nnml and maildir
folders.

%prep
%setup -q
%patch0 -p 1 -b .debug
%patch1 -p1 -b .format

%build
%configure
make %{?_smp_mflags}

%install
%makeinstall

%files
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/mboxgrep
%{_mandir}/man1/mboxgrep.1*
%{_infodir}/mboxgrep.info*

%changelog
* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 0.7.9-alt1_27
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.7.9-alt1_26
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.7.9-alt1_25
- update to new release by fcimport

* Fri Jun 08 2018 Igor Vlasenko <viy@altlinux.ru> 0.7.9-alt1_24
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 0.7.9-alt1_23
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.7.9-alt1_21
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.7.9-alt1_20
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 0.7.9-alt1_19
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 0.7.9-alt1_18
- update to new release by fcimport

* Tue Aug 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.7.9-alt1_15
- update to new release by fcimport

* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.7.9-alt1_14
- initial fc import

